---
title: FSST 5
layout: layouts/base_subject.njk
eleventyNavigation:
  key: FSST 5
  parent: FSST
  order: 5
---
<h2 id="overview">Course Overview</h2>

<h3>Revision of Already Known Content</h3>
<ul>
  <li><a href="/presentations/c/introduction/">Introduction to C</a>
    (steps during creation of an executable)</li>
  <li><a href="/presentations/c/multiple_files/">Working with multiple files</a> (build systems)</li>
  <li><a href="/presentations/cpp/oop/structs/">Introduction to OOP -
    Structs (Composite Data Types)</a></li>
  <li><a href="/presentations/cpp/oop/classes/">Introduction to OOP -
    Classes and Encapsulation</a></li>
</ul>

<h2 id="exercises">Programming Exercises</h2>
<ul>
  <li><a href="https://classroom.github.com/a/dnF4jTa3">Accept GitHub + Python assignment</a>
    (<a href="/exercises/python/exercise_3/">tasks</a>)</li>
</ul>

<h2 id="links">Links</h2>

<ul>
  <li><a href="https://ndpsoftware.com/git-cheatsheet.html">Git cheatsheet</a></li>
</ul>

{% include 'blocks/code_challenge_sites.njk' %}

<h2 id="curriculum">Content of the Curriculum (5th Year)</h2>
<a href="https://www.ris.bka.gv.at/eli/bgbl/ii/2015/262/ANL1.5/NOR40234867?ResultFunctionToken=52824552-7fbf-4180-b06a-4d04c703dfab&Position=1&SkipToDocumentPage=True&Abfrage=Bundesnormen&Kundmachungsorgan=&Index=&Titel=&Gesetzesnummer=&VonArtikel=&BisArtikel=&VonParagraf=&BisParagraf=&VonAnlage=&BisAnlage=&Typ=&Kundmachungsnummer=&Unterzeichnungsdatum=&FassungVom=15.09.2021&VonInkrafttretedatum=&BisInkrafttretedatum=&VonAusserkrafttretedatum=&BisAusserkrafttretedatum=&NormabschnittnummerKombination=Und&ImRisSeitVonDatum=&ImRisSeitBisDatum=&ImRisSeit=Undefined&ResultPageSize=100&Suchworte=ELEKTRONIK+UND+TECHNISCHE+INFORMATIK">Curriculum in the Legal Information System</a> (see Attachment 1.5)

<ul>
  <li>Operating Systems
    <ul>
      <li>Processes and Threads</li>
    </ul>
  </li>
  <li>Software Development
    <ul>
      <li>Analysis of data structures and algorithms</li>
      <li>Software quality</li>
      <li>Implement algorithms on embedded systems</li>
    </ul>
  </li>
  <li>Web and Network Programming
    <ul>
      <li>Web application security</li>
      <li>Authentication</li>
    </ul>
  </li>
  <li>Information Security
    <ul>
      <li>Legal foundation</li>
      <li>Data protection</li>
    </ul>
  </li>
</ul>

{#


Bereich Softwareentwicklung

Programmiersprachen für die Lösung komplexer Aufgaben anwenden;
Komplexe fachspezifische Aufgabenstellungen, Software-Entwicklungsprozesse.

Bereich Datensicherheit

Maßnahmen zum Schutz sensibler Daten planen und implementieren;
bestehende Systeme auf Schwachstellen untersuchen sowie Daten sichern.
Sicherungsmethoden, Schutz vor Datenmissbrauch und Datenverlust.

#}
